### Method

# Ide Runtime get_arch

#### Declaration

    gchar*
    ide_runtime_get_arch (
      IdeRuntime* self
    )

#### Description

Gets the architecture of the runtime.

This can be used to ensure we’re compiling for the right architecture given the current device.

This is strictly equivalent to calling #ide_triplet_get_arch on the result of #ide_runtime_get_triplet.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| The name of the architecture the runtime will build for.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.